SQ-PACKET-DUMP(1)

NAME
sq-packet-dump - Lists packets

Creates a human-readable description of the packet sequence. Additionally, it can print cryptographic artifacts, and print the raw octet stream similar to hexdump(1), annotating specifically which bytes are parsed into OpenPGP values.

To inspect encrypted messages, either supply the session key, or see "sq decrypt --dump" or "sq packet decrypt".

SYNOPSIS
sq packet dump [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

--mpis
    Prints cryptographic artifacts

-x, --hex
    Prints a hexdump

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--session-key SESSION-KEY
    Decrypts an encrypted message using SESSION-KEY

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Prints the packets of a certificate
    $ sq packet dump juliet.pgp

# Prints cryptographic artifacts of a certificate
    $ sq packet dump --mpis juliet.pgp

# Prints a hexdump of a certificate
    $ sq packet dump --hex juliet.pgp

# Prints the packets of an encrypted message
    $ sq packet dump --session-key AAAABBBBCCCC... ciphertext.pgp

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-packet-decrypt(1), sq-packet-dump(1), sq-packet-join(1), sq-packet-split(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>